PCL_OPENNI_IMAGE(1)

NAME
pcl_openni_image - pcl_openni_image

DESCRIPTION
PCL OpenNI Image Viewer/Recorder.

SYNOPSIS
usage: pcl_openni_image [(<device_id> [-visualize | -imagemode <mode>] | [-depthmode <mode>] | [-depthformat <format>] | -l [<device_id>]| -h | --help)]

 -h | --help : shows this help

 -l : list all available devices

 -buf X : use a buffer size of X frames (default: 322)

 -visualize 0/1 : turn the visualization off/on (WARNING: when visualization is disabled, data writing is enabled by default!)

 -l <device-id> : list all available modes for specified device

    device_id may be #1, #2, ... for the first, second etc device in the list or bus@address for the device connected to a specific usb-bus / address combination or <serial-number>

EXAMPLES
pcl_openni_image "#1"

    uses the first device.

pcl_openni_image -l

    lists all available devices.

pcl_openni_image -l "#2"

    lists all available modes for the second device

pcl_openni_image A00361800903049A

    uses the device with the serial number 'A00361800903049A'.

pcl_openni_image 1@16

    uses the device on address 16 at USB bus 1.

AUTHOR
pcl_openni_image is part of Point Cloud Library (PCL) - www.pointclouds.org

The Point Cloud Library (PCL) is a standalone, large scale, open project for 2D/3D image and point cloud processing.

This manual page was written by Leopold Palomo-Avellaneda <leo@alaxarxa.net> with the help of help2man tool and some handmade arrangement for the Debian project (and may be used by others).